{% extends "base.html" %}
{% load mathfilters %}


{% block content %}
<div class="p-4">
    <ul class="list-group">
        {% for region in model %}
        <li class="list-group-item">
            <h4>{{region.regionName}}</h4>
            <ol class="list-group">
                {% for item in region.countries %}
                <li class="list-group-item">
                    <div style="display: flex;">
                        <div style="width: 250px;">
                            {{ forloop.counter }}.&nbsp;{{ item.countryName }} ({{ item.ladder_score }})
                        </div>
                        <div style="flex: 1 1 auto;">
                            {% for score in item.scores %}

                            <div class="indicator"
                                style="width: {{score}}%;background-color: {% cycle colors.0 colors.1 colors.2 colors.3 colors.4 colors.5 colors.6 as color %}">
                                {{score|div:10}}
                            </div>

                            {% endfor %}

                        </div>
                    </div>
                </li>

                {% endfor %}
            </ol>

        </li>
        {% endfor %}
    </ul>
</div>
{% endblock %}